
%global meadversion 2.10.3
%global namedversion 2.10.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-databind}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.10.3.redhat-00001

Name:           %{?scl_prefix}jackson-databind
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jackson-databind
Group:          Development/Java

%if %with mead
Source100: jackson-databind-2.10.3.redhat-00001-project-sources.tar.gz
Source102: jackson-databind-2.10.3.redhat-00001-sources.jar
Source103: jackson-databind-2.10.3.redhat-00001-javadoc.jar
Source104: jackson-databind-2.10.3.redhat-00001.jar
Source105: jackson-databind-2.10.3.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://github.com/FasterXML/jackson
Requires:       %{?scl_prefix_eap}jackson-annotations >= 0:2.5.1
Requires:       %{?scl_prefix_eap}jackson-core >= 0:2.5.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-databind-%{namedversion}-%{release}-root

%description
General data-binding functionality for Jackson: works on core streaming API.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-databind
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-databind-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-databind-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-databind-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-databind-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-databind-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-databind-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-databind-%{namedversion} %{buildroot}%{_javadocdir}/jackson-databind
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-databind-%{namedversion}.jar
%{_javadir}/jackson-databind.jar
%if %with javadoc
%{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%{_javadir}/jackson-databind-javadoc.jar
%else
%exclude %{_javadir}/jackson-databind-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-databind-javadoc.jar
%endif
%{_javadir}/jackson-databind-%{namedversion}-sources.jar
%{_javadir}/jackson-databind-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-databind-%{namedversion}
%{_javadocdir}/jackson-databind
%endif

%changelog
* Mon Mar 30 2020 Yong Yang <yyang@redhat.com> - 2.10.3-1.redhat_00001.1
- RPM wrapper build 2.10.3.redhat-00001

* Wed Oct 09 2019 Yong Yang <yyang@redhat.com> - 2.9.10-1.redhat_00003.1
- RPM wrapper build 2.9.10.redhat-00003

* Thu Oct 03 2019 Yong Yang <yyang@redhat.com> - 2.9.9-3.redhat_00001.1
- RPM wrapper build 2.9.10.redhat-00003

* Wed Aug 14 2019 Yong Yang <yyang@redhat.com> - 2.9.9-2.redhat_00001.1
- RPM wrapper build

* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.9-1.redhat_00001.1
- 2.9.9.redhat-00001

* Fri Jun 07 2019 Yong Yang <yyang@redhat.com> - 2.9.5-3.redhat_2.1
- RPM wrapper build

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 2.8.6-1.redhat_1.1
- upgrade to 2.8.6.redhat-1

* Fri Feb 03 2017 Petr Sakar <psakar@redhat.com> - 2.8.5-1.redhat_1.1
- upgrade to 2.8.5.redhat-1

* Mon Oct 17 2016 Filip Kujikis <fkujikis@redhat.com> - 2.8.3-1.redhat_1.1
- prod build for upstream tag jackson-databind-2.8.3

* Thu Aug 11 2016 Petr Sakar <psakar@redhat.com> - 2.7.4-1.redhat_1.1
- upgrade to 2.7.4.redhat-1

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Wed Aug 05 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-3.redhat_1.1
- fix Requires

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-2.redhat_1.1
- fix Requires

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

